Summary:   Autopsy Forensic Browser v1.60
Name: autopsy
Version: 1.71
Release: 1
Copyright: GPL
Group: Applications/Forensics
Source0: http://prdownloads.sourceforge.net/autopsy/%{name}-%{version}.tar.gz
Patch0: autopsy.patch-1.71
Patch1: autopsy.patch-1.70-help
Url: http://www.sleuthkit.org
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security
Requires: sleuthkit >= 1.61
Provides: perl(conf.pl) perl(define.pl) perl(fs.pl) perl(search.pl)

%description
The Autopsy Forensic Browser is a graphical interface to utilities
found in The @stake Sleuth Kit (TASK).  Autopsy is the only open source
graphical interface for the forensic analysis of Microsoft and UNIX
file systems.  It allows the allocated and deleted files, directories,
blocks, and inodes of file system images to be analyzed in a read-only
environment.  Images can be searched for strings and regular expressions
to recover deleted material.  It also allows one to create a detailed
time line of the Modified, Access, and Changed times of files.



%prep
%setup 
cp base/autopsy.base autopsy
cp base/autopsyfunc.pm.base autopsyfunc.pm
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/autopsy
mkdir -p $RPM_BUILD_ROOT/var/log/autopsy
mkdir -p $RPM_BUILD_ROOT/var/morgue
cp autopsy $RPM_BUILD_ROOT/usr/sbin
cp man/man1/* $RPM_BUILD_ROOT/usr/share/man/man1
cp conf.pl autopsyfunc.pm fs.pl define.pl search.pl  $RPM_BUILD_ROOT/usr/share/autopsy
cp -r pict $RPM_BUILD_ROOT/usr/share/autopsy
cp -r help $RPM_BUILD_ROOT/usr/share/autopsy
#cp base/fsmorgue $RPM_BUILD_ROOT/var/morgue

%clean


%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README TODO 
/usr/share/man/man1
%attr(755,root,root)       /usr/sbin/
%attr(750,root,root)       /var/log/autopsy
%attr(750,root,root)       /var/morgue
%attr(755,root,root)       /usr/share/autopsy
%attr(600,root,wheel) %config(noreplace) /var/morgue
%attr(600,root,wheel) %config(noreplace) /usr/share/autopsy/conf.pl
%attr(600,root,wheel) %config(noreplace) /usr/share/autopsy/define.pl

%changelog
* Fri Apr 04 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to Version 1.71
- Changed the Dependency from task to sleuthkit

* Fri Feb 14 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to Version 1.70

* Tue Jul 23 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Created  autopsy rpm

